Bug 1122774 - [RFE][heat]: Nova server vnc console attribute support
Summary: [RFE][heat]: Nova server vnc console attribute support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: Upstream M2
: 7.0 (Kilo)
Assignee: Zane Bitter
QA Contact: Amit Ugol
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_kilo-2 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 04:03 UTC by RHOS Integration
Modified: 2016-04-26 15:24 UTC (History)
6 users (show)

Fixed In Version: openstack-heat-2015.1.0-3.el7ost
Doc Type: Enhancement
Doc Text:
The OS::Nova::Server resource type now includes a 'console_urls' property. This enables the user to obtain the URL for the server's console (such as a VNC console) from the resource.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:13:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1548 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2015-08-05 17:07:06 UTC

Description RHOS Integration 2014-07-24 04:03:22 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/vnc-console-attr.

Description:

Propose to add an attribute to OS::Nova::Server resource.

So we can list vnc console url in outputs:

heat_template_version: 2013-05-23

resources:
  server:
    type: "OS::Nova::Server"
    properties:
      image: fedora
      key_name: heat_key
      flavor: m1.small
outputs:
  server_novnc_url:
    value:
      get_attr: [server, vnc_console, novnc]

Specification URL (additional information):

None

Comment 7 errata-xmlrpc 2015-08-05 13:13:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1548


Note You need to log in before you can comment on or make changes to this bug.